import java.awt.FlowLayout;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.awt.Font;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.JButton;

public class KonverzeTeplotyTest
{
    public static void main(String [] args)
    {
        KonverzeTeploty form = new KonverzeTeploty();
        form.setVisible(true);
    }

    private static class KonverzeTeploty extends JFrame
    {
        private JTextField input;        
        private JLabel label;        

        public KonverzeTeploty()
        {
            super("Konverze teploty");
            setLayout(new FlowLayout());

            add(new JLabel("Teplota ve °F: "));

            input = new JTextField(5);
            add(input);

            JButton tlacitko = new JButton("Převeď");
            add(tlacitko);

            label = new JLabel("");
            label.setFont(new Font("Serif",Font.PLAIN,12));
            add(label);

            PrevodAkce akce = new PrevodAkce();
            input.addActionListener(akce);
            tlacitko.addActionListener(akce);

            setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
            setSize(200,150);
        }

        private class PrevodAkce implements ActionListener 
        {
            @Override
            public void actionPerformed(ActionEvent e)
            {
                float f = Float.parseFloat(KonverzeTeploty.this.input.getText());
                label.setText(String.format("Převedená teplota ve °C: %,.2f",5.0/9*(f-32)));
            }
        }
    }
}
